# Uses of Class
org.eclipse.gef.DefaultEditDomain

Packages that use DefaultEditDomain
Package
Description
org.eclipse.gef.ui.parts

## Uses of DefaultEditDomain in org.eclipse.gef.ui.parts

Methods in org.eclipse.gef.ui.parts that return DefaultEditDomain
Modifier and Type
Method
Description
`protected DefaultEditDomain`
GraphicalEditor.`getEditDomain()`
Returns the edit domain.
Methods in org.eclipse.gef.ui.parts with parameters of type DefaultEditDomain
Modifier and Type
Method
Description
`protected void`
GraphicalEditor.`setEditDomain(DefaultEditDomain ed)`
Sets the EditDomain for this EditorPart.
`protected void`
GraphicalEditorWithFlyoutPalette.`setEditDomain(DefaultEditDomain ed)`
Sets the edit domain for this editor.
`protected void`
GraphicalEditorWithPalette.`setEditDomain(DefaultEditDomain ed)`
Sets the `palette root` of the edit domain